

<?php $__env->startPush('nicedit-scripts'); ?>
  <script src="<?php echo e(asset('assets/nic-edit/nicEdit.js')); ?>" type="text/javascript"></script>
  <script type="text/javascript">
    bkLib.onDomLoaded(function() {
      new nicEditor({iconsPath : '<?php echo e(asset('assets/nic-edit/nicEditorIcons.gif')); ?>', fullPanel : true}).panelInstance('body');
    });
  </script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('styles'); ?>
<style media="screen">
  h3, h4 {
    margin: 0px;
  }
</style>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
  <main class="app-content">
     <div class="app-title">
        <div>
           <h1>Menu Management</h1>
        </div>
     </div>
     <div class="row">
        <div class="col-md-12">

          <div class="tile">
            <div class="row">

              <div class="col-md-12">
                <form action="<?php echo e(route('admin.menuManager.store')); ?>" method="post" role="form">
                   <?php echo e(csrf_field()); ?>

                   <div class="form-body">
                     <div class="col-md-12">
                       <div class="form-group">
                         <label for="title">Menu Name:</label>
                         <input name="name" type="text" class="form-control" id="title" value="<?php echo e(old('name')); ?>">
                         <?php if($errors->has('name')): ?>
                           <p style="color:red;"><?php echo e($errors->first('name')); ?></p>
                         <?php endif; ?>
                       </div>
                     </div>
                      <div class="col-md-12">
                        <div class="form-group">
                          <label for="title">Title:</label>
                          <input name="title" type="text" class="form-control" id="title" value="<?php echo e(old('title')); ?>">
                          <?php if($errors->has('title')): ?>
                            <p style="color:red;"><?php echo e($errors->first('title')); ?></p>
                          <?php endif; ?>
                        </div>
                      </div>
                      <div class="col-md-12">
                         <div class="form-group">
                           <label for="body">Body:</label>
                           <textarea name="body" class="form-control" rows="8" id="body"><?php echo e(old('body')); ?></textarea>
                           <?php if($errors->has('body')): ?>
                             <p style="color:red;"><?php echo e($errors->first('body')); ?></p>
                           <?php endif; ?>
                         </div>
                      </div>
                      <div class="row">
                         <div class="col-md-12">
                           <div class="col-md-12">
                             <button type="submit" class="btn btn-info btn-block btn-lg">ADD MENU</button>
                           </div>
                         </div>
                      </div>
                   </div>
                </form>
              </div>

            </div>
            <br>
            <!---ROW-->
            <div class="row">
               <div class="col-md-12">
                 <div class="col-md-12">
                   <div class="card">
                     <div class="card-header bg-primary" style="color:white;">
                       <h4><i class="fa fa-list"></i> MENU LIST</h4>
                     </div>
                     <div class="card-body">
                       <?php if(count($menus) == 0): ?>
                         <h1 class="text-center">NO DATA FOUND</h1>
                       <?php else: ?>
                         <div class="table-scrollable">
                            <table class="table table-bordered table-hover">
                               <thead>
                                  <tr>
                                     <th> # </th>
                                     <th> Menu Name </th>
                                     <th> Menu Title </th>
                                     <th> Action </th>
                                  </tr>
                               </thead>
                               <tbody>
                                 <?php $__currentLoopData = $menus; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                   <tr>
                                      <td><?php echo e($loop->iteration); ?></td>
                                      <td><?php echo e($menu->name); ?></td>
                                      <td><?php echo e($menu->title); ?></td>
                                      <td>
                                        <a class="btn btn-warning btn-sm" href="<?php echo e(route('admin.menuManager.edit', $menu->id)); ?>">
                                        <i class="fa fa-pencil"></i> Edit
                                        </a>
                                         <button type="button" class="btn btn-danger btn-sm delete_button" data-toggle="modal" data-target="#DelModal<?php echo e($menu->id); ?>" data-id="2">
                                         <i class="fa fa-times"></i> DELETE
                                         </button>
                                      </td>
                                   </tr>
                                   <!-- Modal for DELETE -->
                                   <!-- Modal -->
                                   <div class="modal fade" id="DelModal<?php echo e($menu->id); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                                     <div class="modal-dialog modal-dialog-centered" role="document">
                                       <div class="modal-content">
                                         <div class="modal-header">
                                           <h5 class="modal-title text-center" id="exampleModalCenterTitle">
                                             Are you sure you want to delete this page?
                                           </h5>
                                           <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                             <span aria-hidden="true">&times;</span>
                                           </button>
                                         </div>
                                         <div class="modal-body text-center">
                                           <form style="display:inline-block;" class="" action="<?php echo e(route('admin.menuManager.delete', $menu->id)); ?>" method="post">
                                              <?php echo e(csrf_field()); ?>

                                              <button type="submit" class="btn btn-success">Yes</button>
                                           </form>
                                           <button class="btn btn-danger" type="button" data-dismiss="modal">No</button>
                                         </div>
                                       </div>
                                     </div>
                                   </div>
                                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                               </tbody>
                            </table>
                         </div>
                       <?php endif; ?>
                     </div>
                   </div>
                 </div>
               </div>
            </div>
            <!-- row -->
          </div>
        </div>
     </div>
  </main>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>