<?php $__env->startSection('content'); ?>
  <main class="app-content">
     <div class="app-title">
        <div>
           <h1><i class="fa fa-dashboard"></i>
             <?php if(request()->path() == 'admin/deposit/acceptedRequests'): ?>
             Accepted
             <?php elseif(request()->path() == 'admin/deposit/rejectedRequests'): ?>
             Rejected
             <?php elseif(request()->path() == 'admin/deposit/pending'): ?>
             Pending
             <?php endif; ?>
             Deposit Request
           </h1>
        </div>
        <ul class="app-breadcrumb breadcrumb">
           <li class="breadcrumb-item"><i class="fa fa-home fa-lg"></i></li>
           <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>">Dashboard</a></li>
        </ul>
     </div>
     <div class="row">
        <div class="col-md-12">
          <?php if(count($deposits) == 0): ?>
          <div class="tile">
            <h2 class="text-center">NO
              <?php if(request()->path() == 'admin/deposit/pending'): ?>
              PENDING
              <?php elseif(request()->path() == 'admin/deposit/rejectedRequests'): ?>
              REJECTED
              <?php elseif(request()->path() == 'admin/deposit/acceptedRequests'): ?>
              ACCEPTED
              <?php endif; ?>
              DEPOSIT REQUEST FOUND</h2>
          </div>
          <?php else: ?>
          <div class="tile">
             <h3 class="tile-title pull-left">Deposit Request List</h3>
             <div class="table-responsive">
                <table class="table">
                   <thead>
                      <tr>
                         <th scope="col">#</th>
                         <th scope="col">Username</th>
                         <th scope="col">Gateway Name</th>
                         <th scope="col">Amount</th>
                         <th scope="col">Charge</th>
                         <th scope="col">Receipt</th>
                         <?php if(request()->path() != 'admin/deposit/acceptedRequests' && request()->path() != 'admin/deposit/rejectedRequests'): ?>
                         <th scope="col">Action</th>
                         <?php endif; ?>
                      </tr>
                   </thead>
                   <tbody>
                     <?php
                       $i = 0;
                     ?>
                     <?php $__currentLoopData = $deposits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deposit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                     <tr>
                        <td data-label="Name"><?php echo e(++$i); ?></td>
                        <td data-label="Username"><a target="_blank" href="<?php echo e(route('admin.userDetails', $deposit->user_id)); ?>"><?php echo e($deposit->user->username); ?></a></td>
                        <td data-label="Email"><?php echo e($deposit->gateway->name); ?></td>
                        <td data-label="Mobile"><?php echo e(round($deposit->amount, $gs->dec_pt)); ?> <?php echo e($gs->base_curr_text); ?></td>
                        <td data-label="Balance"><?php echo e(round($deposit->charge, $gs->dec_pt)); ?> <?php echo e($gs->base_curr_text); ?></td>
                        <td>
                          <button type="button" class="btn btn-outline-primary" onclick="showImageInModal(event, <?php echo e($deposit->id); ?>)"><i class="fa fa-eye"></i> Show</button>
                        </td>
                        <?php if(request()->path() != 'admin/deposit/acceptedRequests' && request()->path() != 'admin/deposit/rejectedRequests'): ?>
                        <td data-label="Details">
                          <form style="display:inline-block;" class="" action="<?php echo e(route('admin.deposit.accept')); ?>" method="post">
                            <?php echo e(csrf_field()); ?>

                            <input type="hidden" name="gid" value="<?php echo e($deposit->gateway->id); ?>">
                            <input type="hidden" name="dID" value="<?php echo e($deposit->id); ?>">
                            <button type="submit" class="btn btn-success">
                            <i class="fa fa-check"></i>  Accept Request
                            </button>
                          </form>
                          <form style="display:inline-block;" class="" action="<?php echo e(route('admin.deposit.rejectReq')); ?>" method="post">
                            <?php echo e(csrf_field()); ?>

                            <input type="hidden" name="dID" value="<?php echo e($deposit->id); ?>">
                            <button type="submit" class="btn btn-danger">
                            <i class="fa fa-times"></i> Reject Request
                            </button>
                          </form>
                        </td>
                        <?php endif; ?>
                     </tr>
                     <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                   </tbody>
                </table>
             </div>
             <div class="">
               <?php echo e($deposits->links()); ?>

             </div>
          </div>
          <?php endif; ?>
        </div>
     </div>
  </main>

  <?php if ($__env->exists('admin.deposit.partials.showImageModal')) echo $__env->make('admin.deposit.partials.showImageModal', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
  <script>
    function showImageInModal(e, dID) {
      e.preventDefault();
      var fd = new FormData();
      fd.append('dID', dID);
      $.get(
        '<?php echo e(route('admin.deposit.showReceipt')); ?>',
        {
          dID: dID,
        },
        function(data) {
          $('#showImageModal').modal('show');
          document.getElementById('adImage').src = '<?php echo e(asset('assets/user/img/receipt_img')); ?>'+'/'+data.r_img;
          console.log(data);
        }
      );
    }
  </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layout.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>