<?php $__env->startSection('title', 'Package Bookings'); ?>
<?php $__env->startPush('styles'); ?>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.1/css/bootstrap.css">
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap4.min.css">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>
  <section class="justify-content-center" style="min-height: 755px;position: relative;margin-top: 170px;">
    <div class="container">
      <div class="row">
        <div class="col-md-12">
          <div class="card">
            <div class="card-header base-bg">
              <h2 class="caption no-margin" style="margin-bottom:30px;">Package Bookings</h2>
            </div>
            <div class="card-body">
              <table id="package-table" class="table table-striped table-bordered" style="width:100%">
                  <thead>
                      <tr>
                          <th>Package Title</th>
                          <th>Persons</th>
                          <th>Booking Date</th>
                          <th>Checkin Date</th>
                          <th>Total Price</th>
                          <th>Rejection Request</th>
                      </tr>
                  </thead>
                  <tbody>
                    <?php $__currentLoopData = $buypackages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $buypackage): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                      <tr>
                          <td><a target="_blank" href="<?php echo e(route('user.package.show', $buypackage->package_id)); ?>"><?php echo e(strlen($buypackage->package->name) > 24 ? substr($buypackage->package->name, 0, 24) . '...' : $buypackage->package->name); ?></a></td>
                          <td><?php echo e($buypackage->persons); ?></td>
                          <td><?php echo e(date('jS F, Y' ,strtotime($buypackage->created_at))); ?></td>
                          <td><?php echo e(date('jS F, Y' ,strtotime($buypackage->checkin_date))); ?></td>
                          <td><?php echo e($buypackage->persons*$buypackage->package->price); ?> <?php echo e($gs->base_curr_text); ?></td>
                          <td>
                            <button class="btn btn-<?php echo e(empty($buypackage->message)?'primary':'warning'); ?> btn-sm" type="button" data-toggle="modal" data-target="#packagemodal<?php echo e($buypackage->id); ?>">
                              <i class="fa fa-envelope"></i> <?php echo e(empty($buypackage->message)?'Message':'Change Message'); ?>

                            </button>
                          </td>
                      </tr>

                      <!-- Modal -->
                      <div class="modal fade" id="packagemodal<?php echo e($buypackage->id); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                          <div class="modal-content">
                            <form class="" action="<?php echo e(route('user.package.message')); ?>" method="post">
                            <div class="modal-header">
                              <h5 class="modal-title" id="exampleModalLongTitle">Rejection Request</h5>
                              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                              </button>
                            </div>
                            <div class="modal-body">

                                <?php echo e(csrf_field()); ?>

                                <input type="hidden" name="package_id" value="<?php echo e($buypackage->package_id); ?>">
                                <div class="form-group">
                                  <label for="">Reason <span class="required">**</span></label>
                                  <textarea class="form-control" name="reason" rows="5" required><?php echo e(empty($buypackage->message)?'':$buypackage->message); ?></textarea>
                                </div>

                            </div>
                            <div class="modal-footer">
                              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                              <button type="submit" class="btn btn-primary"><?php echo e(empty($buypackage->message)?'Send Request':'Update Requset'); ?></button>
                            </div>
                            </form>
                          </div>
                        </div>
                      </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
<script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>
<script>
$(document).ready(function() {
    $('#package-table').DataTable();
} );
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('user.layout.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>