<div id="hotelDetails">
  <div class="container">
    <h2 class="base-txt my-4">ROOM TYPES</h2>
    <?php $__currentLoopData = $hotel->rooms()->where('a_hidden', 0)->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $room): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
      <div class="row">
        <div class="col-lg-2 align-self-center">
          <div class="box box-1">
            <a href="<?php echo e(route('user.room.show', $room->id)); ?>"><img style="width:100%" src="<?php echo e(asset('assets/user/img/room_imgs/'.$room->roomimgs()->first()->image)); ?>" alt="Room Image"></a>
          </div>
        </div>
        <div class="col-lg-2 align-self-center">
          <div class="box box-2">
            <div class="media">
              <div class="media-body align-self-center">
                <p><a href="<?php echo e(route('user.room.show', $room->id)); ?>"><?php echo e($room->name); ?></a></p>
              </div>
            </div>
          </div>
        </div>
        <div class="col-lg-2 align-self-center">
          <div class="box box-3">
            <div class="media">
              <div class="media-body align-self-center">
                <p><?php echo e($room->no_of_persons); ?> Adults</p>
              </div>
            </div>

          </div>
        </div>
        <div class="col-lg-2 align-self-center">
          <div class="box box-4">
            <div class="media">
              <div class="media-body">
                <p>
                  <?php $__currentLoopData = $room->amenities; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $amenity): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <i title="<?php echo e($amenity->name); ?>" class="base-txt fa fa-<?php echo e($amenity->code); ?>"></i>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </p>
              </div>
            </div>
          </div>
        </div>
        <div class="col-lg-2 align-self-center">
          <div class="box box-4">
            <div class="media">
              <div class="media-body">
                <p>
                  <?php echo e($room->payment); ?>/Night
                </p>
              </div>
            </div>
          </div>
        </div>
        <div class="col-lg-2 align-self-center">
          <div class="box box-3">
            <div class="media">


              <?php if(Auth::check()): ?>
                <div class="media-body align-self-center">
                  <button class="book-now" type="button" href="#" data-toggle="modal" data-target="#roombookingmodal<?php echo e($room->id); ?>">Book</button>
                </div>
              <?php else: ?>
                <div class="media-body align-self-center">
                  <a class="book-now" href="<?php echo e(route('user.showLoginForm')); ?>">Book</a>
                </div>
              <?php endif; ?>
            </div>

          </div>
        </div>
      </div>
      <hr class="hd-hr">

      
      <div class="modal fade" id="roombookingmodal<?php echo e($room->id); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="exampleModalLongTitle">Book This Room</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <form class="" action="<?php echo e(route('user.room.booking')); ?>" method="post">
                <?php echo e(csrf_field()); ?>

                <input type="hidden" name="room_id" value="<?php echo e($room->id); ?>">
                <input type="hidden" name="payment" value="<?php echo e($room->payment); ?>">
                <?php if(auth()->guard()->check()): ?>
                  <input type="hidden" name="user_id" value="<?php echo e(Auth::user()->id); ?>">
                <?php endif; ?>
                <div class="form-group">
                  <label for="">Checkin Date: <span class="required">**</span></label>
                  <input id="checkin<?php echo e($room->id); ?>" name="checkin_date" data-toggle="datepicker" class="form-control" required autocomplete="off">
                </div>
                <div class="form-group">
                  <label for="">Duration: <span class="required">**</span></label>
                  <input class="form-control" type="number" name="duration" value="" required>
                </div>
                <div class="form-group">
                  <button style="color:white;" type="submit" class="btn base-bg btn-block">BOOK ROOM</button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>


      <?php
        $roombookings = \App\RoomBooking::where('room_id', $room->id)->where('status', 0)->get();
        $bookingdates = [];
        foreach ($roombookings as $roombooking) {
          for ($i=0; $i < $roombooking->duration; $i++) {
            $date = new \Carbon\Carbon($roombooking->checkin_date);
            $newDate = $date->addDays($i);
            $bookingdates[] = $newDate->format('Y-m-d');
          }
        }
      ?>


      <script>
      $(document).ready(function() {
        var array = JSON.parse('<?php echo json_encode($bookingdates); ?>');
        var today = new Date();
        console.log(array);
          $('#checkin<?php echo e($room->id); ?>').datepicker({
             numberOfMonths: 3,
             minDate: today,
             beforeShowDay: function(date){
                 var string = jQuery.datepicker.formatDate('yy-mm-dd', date);
                 return [ array.indexOf(string) == -1 ]
             }
           });
      });
      </script>

    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

  </div>
</div>
